package com.huimv.farm.damsubsidy.common.utils;
// Author: Tinger-XXX
// Time: 2023/5/8 19:29

import com.huimv.farm.damsubsidy.entity.AreaAll;

import java.util.Arrays;
import java.util.List;

public class AreaUtil {
    public static final List<Integer> idLengths = Arrays.asList(2, 4, 6, 9, 12);

    public static <T> boolean isNotIn(T tar, List<T> arr) {
        for (T it : arr) if (tar == it) return false;
        return true;
    }

    public static boolean isError(AreaAll entity) {
        String id = entity.getId(), name = entity.getName(), level = entity.getLevel();
        if (id == null || name == null || level == null)
            return true;

        return isNotIn(id.length(), idLengths) || name.length() > 32 || level.length() != 2;
    }
}
