package com.huimv.farm.damsubsidy.entity;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.huimv.farm.damsubsidy.common.utils.LongJsonDeserializer;
import com.huimv.farm.damsubsidy.common.utils.LongJsonSerializer;
import lombok.Data;

import java.util.Date;

/**
 * 登录的token信息
 * @author guojian
 */
@Data
public class AccessToken {
    private String token;
    private String loginIp;
    private Date created;
    private String accountName;
    private Integer code;
    private Integer type;
    private String message;
    private Integer lastFarmId;
    private String userName;
    @JsonSerialize(using = LongJsonSerializer.class)
    @JsonDeserialize(using = LongJsonDeserializer.class)
    private Long userId;
    private String phone;
    private SysUser user;
    private Integer permit;

}
