package com.huimv.farm.damsubsidy.entity.vo;

import com.huimv.farm.damsubsidy.entity.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 补贴信息表
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@Data
public class BillSubsidyPayVo extends BaseEntity implements Serializable {


    private Integer id;

    private String country;

    private String userName;
    private String idCard;
    private String bankCard;

    private String bankName;
    private Integer farmType;
    private Integer number;
    private BigDecimal money;
    private String phone;
    private String saleName;

}
