package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.AreaAll;

import java.util.List;

// Author: Tinger-XXX
// Time: 2023/5/6 18:44
public interface IAreaByLevelService {
    Result listTypes();

    Result listLevels();

    Result getInfo();

    Result listProvinces();

    Result listChildrenOf(String currentId, String childLevel);

    Result treeOfTongWei();

    Result insert(AreaAll one);

    Result insert(List<AreaAll> batch);

    Result delete(String id);

    Result delete(List<String> ids);

    Result update(AreaAll one);

    Result update(List<AreaAll> batch);
}
