package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.vo.BillLandingInspection;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 落地检 服务类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface IBillLandingInspectionService extends IService<BillLandingInspection> {
    Result list(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listById(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result addPay(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result addApplication(HttpServletRequest httpServletRequest, BillLandingInspection billLandingInspection);

    Result cancelApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result rejectApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result agreeApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result getEartagNoBy(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
