package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillSubsidy;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 补贴信息表 服务类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface IBillSubsidyService extends IService<BillSubsidy> {
    Result list(HttpServletRequest httpServletRequest, Map<String,String> paramsMap);

    Result listById(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result edit(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result edit2(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result appeal(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
    Result addApplication(HttpServletRequest httpServletRequest, BillSubsidy billSubsidy);

    Result saveApplication(HttpServletRequest httpServletRequest, BillSubsidy billSubsidy);

    //pc端
    /*待受理*/
    Result listPcSub(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result editApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listApplication(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result getLast(HttpServletRequest httpServletRequest, Map<String, String> parasMap);

    Result listFlow(Map<String, String> parasMap);

    Result printPay(HttpServletResponse response, Map<String, String> paramsMap) throws IOException;

    void printPay2(HttpServletResponse response,String startDate,String endDate) throws IOException;

    void printAmount(HttpServletResponse httpServletResponse,Map<String,String> paramsMap);

    void printWaitPay(HttpServletResponse httpServletResponse,Map<String,String> paramsMap);

    Result countState(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result countPay(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);
}
