package com.huimv.farm.damsubsidy.common.annotate;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface DictTranslate
{
	/**
	 * 字典表名称
	 * @return 字典表名称
	 */
	String dataSource();

	/**
	 * 目标字段
	 * @return 目标字段
	 */
	String targetField();


}
