package com.huimv.farm.damsubsidy.controller;


import com.huimv.farm.damsubsidy.common.token.TokenSign;
import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/accountMultilevel")
@CrossOrigin
public class AccountMuitileve {

    @Autowired
    private ISysUserService iSysUserService;

    @GetMapping("/remove")
    public Result remove(@RequestParam("userIds")String userIds , HttpServletRequest request) {
        Long userId = TokenSign.getMemberIdByJwtToken(request);
        return iSysUserService.remove(userIds,userId);
    }
}
