package com.huimv.farm.damsubsidy.controller;


import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.service.IBaseAnimalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 动物信息 前端控制器
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@RestController
@RequestMapping("/base-animal")
@CrossOrigin
public class BaseAnimalController {

    @Autowired
    private IBaseAnimalService baseAnimalService;

    @PostMapping("/noSubsidyAnimal")
    public Result noSubsidyAnimal(HttpServletRequest httpServletRequest, @RequestBody Map<String, String> paramsMap){
        return baseAnimalService.noSubsidyAnimal(httpServletRequest,paramsMap);
    }

}
