package com.huimv.farm.damsubsidy.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.huimv.farm.damsubsidy.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * <p>
 * 补贴信息表
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@Data
public class BillSubsidyVo extends BaseEntity implements Serializable {


    private Integer id;

    private String name;

    private Integer type1;
    private Integer type2;
    private Integer type3;

    private Integer count;
    private Integer number;
    private BigDecimal money;
    private Integer count1;
    private Integer number1;
    private BigDecimal money1;
    private Integer count2;
    private Integer number2;
    private BigDecimal money2;
    private Integer count3;
    private BigDecimal number3;
    private BigDecimal money3;
    private Integer count4;
    private BigDecimal number4;
    private BigDecimal money4;
    private Integer count5;
    private BigDecimal number5;
    private BigDecimal money5;
    private BigDecimal moneycount;
}
