package com.huimv.farm.damsubsidy.mapper;

import com.huimv.farm.damsubsidy.entity.BillSubsidy;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.farm.damsubsidy.entity.vo.BillSubsidyReportVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 补贴信息表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface BillSubsidyMapper extends BaseMapper<BillSubsidy> {
    List<BillSubsidyReportVo> listReport(@Param("townCode") String townCode,@Param("startTime") String startTime,@Param("endTime") String endTime);

    List<BillSubsidyReportVo> lisTowntReport(@Param("townCode") String townCode,@Param("startTime") String startTime,@Param("endTime") String endTime);
}
