package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillIsolated;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * 落地检 服务类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface IBillIsolatedService extends IService<BillIsolated> {

    Result addIsolation(HttpServletRequest httpServletRequest, Map<String, String> paramsMap) throws ParseException;

    Result listIsolation(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result delayedIsolation(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result cancelIsolation(HttpServletRequest httpServletRequest, MultipartFile image, String id, String idDead, String deaths);
}
