package com.huimv.farm.damsubsidy.service.impl;

import cn.hutool.poi.excel.ExcelUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.common.utils.ResultCode;
import com.huimv.farm.damsubsidy.entity.BillSubsidy;
import com.huimv.farm.damsubsidy.entity.PovertyUserRegist;
import com.huimv.farm.damsubsidy.mapper.PovertyUserRegistMapper;
import com.huimv.farm.damsubsidy.service.IPovertyUserRegistService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Map;

@Service
public class PovertyUserRegistServiceImpl extends ServiceImpl<PovertyUserRegistMapper, PovertyUserRegist> implements IPovertyUserRegistService {

    @Override
    public Result list(Map map, HttpServletRequest request) {
        String pageNum = (String)map.get("pageNum");
        String pageSize = (String)map.get("pageSize");
        if (StringUtils.isBlank(pageNum) ){
            pageNum = "1";
        }
        if (StringUtils.isBlank(pageSize)){
            pageSize = "10";
        }
        QueryWrapper<PovertyUserRegist> wrapper = new QueryWrapper<>();
        wrapper.eq("is_delete",0);
        return new Result(ResultCode.SUCCESS, this.page(new Page(Integer.parseInt(pageNum),Integer.parseInt(pageSize)), wrapper));
    }
}
