package com.huimv.farm.test;

import com.huimv.farm.damsubsidy.entity.BillSubsidy;
import org.jxls.common.Context;
import org.jxls.util.JxlsHelper;
import org.jxls.util.Util;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class Print {
    /**
     * 打印方法  不插入图片
     * @throws Exception
     * @return
     */
    public  static void print(BillSubsidy subsidy) throws Exception {
        //准备数据
        //
        String path ="/opt/subsidy/order_contract.xls";
        //获取模板文件，你自己当前模板的位置  我这里为当前项目下
        //如果为系统路径 为： InputStream is = new FileInputStream("F://student.xlsx");
        InputStream is = new FileInputStream("/opt/subsidy/order_contract.xlsx");
//        InputStream is = Print.class.getClassLoader().getResourceAsStream("student.xlsx");
//        InputStream is = Print.class.getClassLoader().getResourceAsStream("order_contract.xls");


        //绑定数据
        //根据模板生成的文件保存路径  我这里保存在本地D盘
        OutputStream os = new FileOutputStream(path);
        //绑定数据
        Context context = new Context();
        //涉及太多只写了一个单独的
        context.putVar("userName", subsidy.getFarmerName());
//        context.putVar("orderTime", new Date());
        context.putVar("address",subsidy.getCargoOwnedetailedAdressr());
        if (subsidy.getFarmerType() == 0) {
            context.putVar("type","动态监测对象");
        } else if (subsidy.getFarmerType() == 1) {
            context.putVar("type","已脱贫");
        } else {
            context.putVar("type","其他养殖场（户）");
        }


        context.putVar("farmName",subsidy.getFarmName());
        context.putVar("idCard",subsidy.getIdCard());
        context.putVar("phone", subsidy.getPhone());
        context.putVar("num1", subsidy.getExistNum());
        context.putVar("num2", subsidy.getImportNum());

        if (subsidy.getRewardType() == 0) {
            context.putVar("typeAum", "肉牛");
        } else if (subsidy.getRewardType() == 1) {
            context.putVar("typeAum", "肉羊");
        } else if (subsidy.getRewardType() == 2) {
            context.putVar("typeAum", "生猪");
        } else if (subsidy.getRewardType()==3) {
            context.putVar("typeAum","青贮池");
        } else if (subsidy.getRewardType() == 4) {
            context.putVar("typeAum", "生态及地质灾害避险搬迁户");
        } else {
            context.putVar("typeAum", "贷款户");
        }



        context.putVar("num3", subsidy.getRewardNum());
        context.putVar("context1", subsidy.getRewardLastYear());
        context.putVar("card", subsidy.getInspectionNum());
        context.putVar("context2", subsidy.getLoanInfo());
        context.putVar("earNum", subsidy.getEartagNo());
        context.putVar("money", subsidy.getApplyMoney());
        context.putVar("userNum", subsidy.getBankCardId());

        //生成
        JxlsHelper.getInstance().processTemplate(is, os, context);
//        String path = String.valueOf(os);

    }


    /**
     * 打印方法  不插入图片
     *
     * 模板文件为student1.xlsx
     * 注意事项：模板文件新加入了一行，所以整体范围也就有所改变，大家注意一下批注中的结束范围
     * 图片所占用的范围为B2到C2
     *
     *
     * @throws Exception
     */
//    public static void print1() throws Exception {
//        //准备数据
//        //获取模板文件，你自己当前模板的位置  我这里为当前项目下
//        //如果为系统路径 为： InputStream is = new FileInputStream("F://student.xlsx");
//        InputStream is = Print.class.getClassLoader().getResourceAsStream("G://test.xlsx");
//        //根据模板生成的文件保存路径  我这里保存在本地D盘
//        OutputStream os = new FileOutputStream("G://test01.xlsx");
//
//        //图片路径
//        InputStream is2 = new FileInputStream("G://a.png");
//        //转为字节码，插入的图片只能是字节码格式
//        byte[] imageBytes = Util.toByteArray(is2);
//        //绑定数据
//        Context context = new Context();
//        context.putVar("image", imageBytes);
//
//        //生成
//        JxlsHelper.getInstance().processTemplate(is, os, context);
//    }

//    public static void main(String[] args) throws Exception {
////        print();
//        print1();
//    }

}